Simulate payout status change

Only available in the Rainforest sandbox environment. Simulate a payout status change. Rainforest will simulate the life cycle of a payout to transition to the requested status. The expected webhooks will be sent for the payout on each status change.

  • PROCESSING from SCHEDULED
  • SUCCEEDED from SCHEDULED or PROCESSING
  • FAILED from SCHEDULED or PROCESSING. Requires a failure_code.
  • RETURNED from SCHEDULED, PROCESSING or SUCCEEDED. Requires an ACH return_code.
  • CANCELED from SCHEDULED or IN_REVIEW. Accepts an optional cancel_reason.

This endpoint requires the platform to be approved for the Payouts integration.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique payout identifier.

Prefix is "pyo" in production and "sbx_pyo" in sandbox.

Body Params

Simulation request for transitioning payout status.

string
enum
required

Status to transition the payout to. The payout will advance through any intermediate statuses.

Allowed:
string
enum

The failure code for the payout. Required when status is FAILED.

Allowed:
string
length ≤ 255

The free-form cancellation reason for the payout. Only valid when status is CANCELED.

Headers
string
enum
Defaults to 2024-10-16
Allowed:
Responses

Language
Credentials
Bearer
APIKey
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json